# Uses of Interface
org.opensaml.saml.saml1.core.Condition

Packages that use Condition
Package
Description
org.opensaml.saml.saml1.core
Interfaces for SAML 1.0 and 1.1 types and elements.
org.opensaml.saml.saml1.core.impl
Implementations of SAML 1.x core specification types and elements.

## Uses of Condition in org.opensaml.saml.saml1.core

Subinterfaces of Condition in org.opensaml.saml.saml1.core
Modifier and Type
Interface
Description
`interface`
`AudienceRestrictionCondition`
This interface describes how ab object representing a SAML1 `AudienceRestrictionCondition` element will behave.
`interface`
`DoNotCacheCondition`
This interface describes how ab object representing a SAML1 `DoNotCacheCondition` element will behave.
Methods in org.opensaml.saml.saml1.core that return types with arguments of type Condition
Modifier and Type
Method
Description
`List<Condition>`
Conditions.`getConditions()`
Get the conditions.
`List<Condition>`
Conditions.`getConditions(QName typeOrName)`
Get the conditions with the given schema type or element name.

## Uses of Condition in org.opensaml.saml.saml1.core.impl

Classes in org.opensaml.saml.saml1.core.impl that implement Condition
Modifier and Type
Class
Description
`class`
`AudienceRestrictionConditionImpl`
Concrete implementation of the org.opensaml.saml.saml1.core.AudienceRestrictionCondition.
`class`
`DoNotCacheConditionImpl`
Concrete implementation of `DoNotCacheCondition`.
Fields in org.opensaml.saml.saml1.core.impl with type parameters of type Condition
Modifier and Type
Field
Description
`private final IndexedXMLObjectChildrenList<Condition>`
ConditionsImpl.`conditions`
Set containing all the Conditions.
Methods in org.opensaml.saml.saml1.core.impl that return types with arguments of type Condition
Modifier and Type
Method
Description
`List<Condition>`
ConditionsImpl.`getConditions()`
Get the conditions.
`List<Condition>`
ConditionsImpl.`getConditions(QName typeOrName)`
Get the conditions with the given schema type or element name.